Bug 4550 - Multijob code not checking for existence of job credential
: Multijob code not checking for existence of job credential
Status: RESOLVED WONTFIX
: GRAM
wsrf managed multi job service
: 4.0.2
: PC Linux
: P3 normal
: 4.0.3
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2006-06-27 10:44 by
Modified: 2012-09-05 11:43 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2006-06-27 10:44:03
A NullPointerException is thrown in the service code when using the Java GRAM
client API to submit multijobs if a staging credential is not delegated:

> java -DGLOBUS_LOCATION=$GLOBUS_LOCATION
> -Daxis.ClientConfigFile=$GLOBUS_LOCATION wsgram.GlobusRun -file
> D:\globusspace\RSL\job.xml
>
[...]
> >     [java] Caused by: java.lang.NullPointerException
>     [java]     at
> org.globus.exec.service.multi.ManagedMultiJobResource.setStubSecurity(ManagedMultiJobResource.java:981) 

Since globusrun-ws automatically delegates a job credential to multijobs if one
wasn't explicitly defined, this issues is never reproduced with the supported
client. Using the Java API, though, it can be reproduced easily.

The multijob code needs to check for the existence of the staging credential
and throw a fault if it not.
------- Comment #1 From 2006-06-27 11:01:13 -------
I meant "job credential", not "staging credential" in the first sentence of bug
report description.
------- Comment #2 From 2006-06-28 13:31:07 -------
Fixed in globus_4_0_branch. HEAD is still frozen because of the impending 4.1.0
release.
------- Comment #3 From 2007-09-19 11:38:01 -------
Reassigning to current GRAM developer to close/fix as appropriate.
------- Comment #4 From 2012-09-05 11:43:13 -------
Doing some bugzilla cleanup...  Resolving old GRAM3 and GRAM4 issues that are
no longer relevant since we've moved on to GRAM5.  Also, we're now tracking
issue in jira.  Any new issues should be added here:

http://jira.globus.org/secure/VersionBoard.jspa?selectedProjectId=10363